#!/bin/ash
## LED checking
## 
##	Load the standard bitstream to active the GPIOs of the LEDs. 
##	then it use HAL to run a LED moving pattern.  
##
##
## Authors: 
##	- Benoit Rat (Seven Solutions, www.sevensols.com)
##
## GNU Lesser General Public License Usage
## This file may be used under the terms of the GNU Lesser
## General Public License version 2.1 as published by the Free Software
## Foundation and appearing in the file LICENSE.LGPL included in the
## packaging of this file.  Please review the following information to
## ensure the GNU Lesser General Public License version 2.1 requirements
## will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
#######################################################################################################

printf "======: $0\n"
. 000-functions.sh

exit_multierr 0 


#First loading the correct firmwares:
load-virtex /wr/lib/firmware/8ports_mb.bin
load-lm32 /wr/lib/firmware/rt_cpu.bin


user_echoasking "y/N" "Did you see the LEDs moving" "LEDS"
ret0=-$?

exit_multierr $ret0 

